<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xalan="http://xml.apache.org/xalan" 
    xmlns:pepper="http://www.pepper.com/elements" 
    extension-element-prefixes="pepper">
    
    <xalan:component prefix="pepper">
        <xalan:script lang="javaclass" src="com.pepper.script.Elements"/>
    </xalan:component>
    
    <xsl:output method="html" />
    
    <!-- Catch passed framework parameters in XSL -->
    <xsl:param name="packageId" />
    <xsl:param name="platform" />
    <xsl:param name="design" />
    
    <!--Create XSL variable for use as HTML <title> -->
    <xsl:variable name="sectionName" select="pepper:nameString($packageId,section/@name)"/>
    
    <!-- The following template matches the root element of the Page data to begin the transformation -->
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <title><xsl:value-of select="$sectionName"/></title>
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                <link href="{$platform}/resources/styles/styles.css" rel="stylesheet" type="text/css" />
                <pepper:initscriptbridge package="{$packageId}" oninit="addClickHandler();"/>
                <script type="text/javascript" src="{$platform}/resources/commonsection.js"/>
            </head>
            <body class="ContentBackground">
	
                <h1>About Calculator</h1>
                <p>
                This Calculator is based on <a href="http://mozcalc.mozdev.org/">the MozCalc Online Version 0.4.0</a>. &#169; 2001 Martin Kutschker.
                </p>
                <p>
                Both the original MozCalc program and this version for the Pepper Platform are distributed under the terms of the <a href="http://www.mozilla.org/MPL/MPL-1.1.html">Mozilla Public Licence</a>.
                </p>
                <p>
                Packaged by <a href="http://www.chuma.org/pepperpad/calculator">Victor Rehorst</a>.  Send feedback to <a href="mailto:chuma@chuma.org?Subject=Calculator%20for%20Pepper">chuma@chuma.org</a>.
                </p>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
