/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * Original Code is Martin Kutschker's code.
 *
 * The Initial Developer of the Original Code is Martin Kutschker.
 *
 * Copyright (c) 2001 Martin Kutschker. All rights reserved.
 *
 * Contributor(s): 
 *   Martin Kutschker <Martin.T.Kutschker@blackbox.net> (Original Author)
 */

// desktop calculator library object
var dc = null;

// memory operation
var memOp = 0;

// string bundle object
var bundle = null; // srGetStrBundle("chrome://mozcalc/locale/mozcalc.properties");

/*******************************************/

// init calculator library and window elements
function init()
{
    initStore();

    bundle = document.getElementById("globalSB").stringBundle;

    dc = new DeskCalculator(document.getElementById("display"), XNumber, Math);
    dc.displayRPN[0] = document.getElementById("displayY");
    dc.displayRPN[1] = document.getElementById("displayZ");
}


// retrieve current value
function getValue()
{
    return document.getElementById("display").getAttribute("value");
}

function equate()
{
  dc.typeEquate();

  addToHistory(getValue());
}

function typeDigit(aDigit)
{
    switch (memOp)
    {
      case 1:
         storeMemValue(aDigit);
         break;

      case 2:
         recallMemValue(aDigit);
         break;

      default:
         dc.typeNumeral(aDigit);
    }

    memOp = 0;
}

// resets the memory operator except for the decimal numbers
function checkButton(e)
{
    if (!e.target)
       return false;

    if (e.target.className.indexOf("decimal") == -1) // should use regexp instead
       memOp = 0;

    return true;
}

// hides or views scientific commands
function showScience()
{
    var scienceElements = document.getElementsByAttribute("science","true");
    var scienceMenuItem = document.getElementById("scienceMenuItem");

    if (scienceElements[0].getAttribute("hidden") == "true")
    {
        for (var i=0; i<scienceElements.length; i++)
            scienceElements[i].removeAttribute("hidden");

        scienceMenuItem.setAttribute("checked","true");
    }
    else
    {
        for (var i=0; i<scienceElements.length; i++)
            scienceElements[i].setAttribute("hidden","true");
        scienceMenuItem.setAttribute("checked","false");
    }

    setTimeout('window.sizeToContent()',10);
}

// hides or views RPN stuff
function showStuff(aStuff)
{
    var elements = document.getElementsByAttribute(aStuff,"true");
    var menuItem = document.getElementById(aStuff+"MenuItem");

    if (elements[0].getAttribute("hidden") == "true")
    {
        for (var i=0; i<elements.length; i++)
        {
            if (elements[i].tagName == "deck")
                elements[i].setAttribute("index","1");
            else
                elements[i].removeAttribute("hidden");
        }

        menuItem.setAttribute("checked","true");
    }
    else
    {
        for (var i=0; i<elements.length; i++)
        {
            if (elements[i].tagName == "deck")
                elements[i].setAttribute("index","0");
            else
                elements[i].setAttribute("hidden","true");
        }
        menuItem.setAttribute("checked","false");
    }

    setTimeout('window.sizeToContent()',20);
}
